#ifndef __BLACKLIST_H
#define __BLACKLIST_H

#include <string>
#include <vdr/plugin.h>

using std::string;

// --- cBlacklistEntry --------------------------------------------------------
class cBlacklistEntry : public cListObject {
public:
    string artist;
    string title;
    
    cBlacklistEntry();
    cBlacklistEntry(const string&,const string&);
    bool operator== (const cBlacklistEntry &arg) const;
    bool Matches(const cBlacklistEntry &arg) const;
    const string Strip(const string& input) const;
    static bool Read(FILE *f);
    bool Parse(const char *s);
};

class cBlacklist : public cConfig<cBlacklistEntry> {
 public:
    bool InList(const string&, const string&);
};

extern cBlacklist Blacklist;

#endif
